/**
 * Javier Abelln. 6 Abril 2006
 * 
 * Librera grfica
 */

package chuidiang.graficos.objetos_graficos;

import java.awt.event.MouseEvent;

/**
 * Interface comn para todos los observadores de evento del ratn en un Lienzo.
 */
public interface ObservadorRaton
{
    /**
     * Mtodo al que se llamar cuando se produzca un evento de ratn.
     * 
     * @param e
     *            El evento
     * @param tipoEvento
     *            Uno de los valores definidos en esta clase. Indica el tipo de
     *            evento.
     * @param x
     *            Posicion x en coordenadas de usuario donde se ha producido el
     *            evento de ratn.
     * @param y
     *            Posicion y en coordenadas de usuario donde se ha producido el
     *            evento de ratn.
     * @return true si el grfico necesita repintado despus de tratar el evento
     */
    public boolean eventoRaton(MouseEvent e, int tipoEvento, double x, double y);

    /**
     * El ratn se mueve sobre el grfico.
     */
    public final int MOVIMIENTO = 0;

    /**
     * Se ratn se mueve sobre el grfico con el botn apretado.
     */
    public final int ARRASTRE = 1;

    /**
     * Se ha hecho click sobre el grafico.
     */
    public final int CLICK = 2;

    /**
     * Se ha pulsado el botn del ratn con el grfico.
     */
    public final int PULSADO = 3;

    /**
     * Se ha soltado el botn del ratn en el grfico.
     */
    public final int SOLTADO = 4;

    /**
     * El ratn entra en el Lienzo.
     */
    public final int ENTRA = 5;

    /**
     * El ratn sale del Lienzo
     */
    public final int SALE = 6;
}
