/**
 * Javier Abelln. 6 Abril 2006
 * 
 * Librera grfica
 */


package chuidiang.matematicas;

import java.awt.geom.Rectangle2D;


/**
 * Mtodos utiles para rectngulos.<br>
 *
 */
public class UtilRectangulo
{
   //~ Metodos -----------------------------------------------------------------

   /**
    * Agranda un rectngulo, manteniendo el centro en su sitio.<br>
    *
    * @param original Rectangulo original.<br>
    * @param porcentaje Porcentaje en % que se quiere agrandar el rectngulo.<br>
    *
    * @return El rectngulo agrandado.<br>
    */
   public static Rectangle2D agrandar( 
      Rectangle2D original,
      double porcentaje )
   {
      Rectangle2D resultado = new Rectangle2D.Double(  );

      double incrementoX;
      incrementoX =
         ( (double)original.getWidth(  ) * (double)porcentaje ) / 100.0;

      double incrementoY;
      incrementoY =
         ( (double)original.getHeight(  ) * (double)porcentaje ) / 100.0;

      resultado.setRect( 
         original.getMinX(  ) + ( incrementoX / 2.0 ),
         original.getMinY(  ) + ( incrementoY / 2.0 ),
         original.getWidth(  ) - incrementoX,
         original.getHeight(  ) - incrementoY );

      return resultado;
   }

   /**
    * Reduce un rectngulo en el porcentaje que se le pasa, manteniendo el
    * centro en su sitio.<br>
    *
    * @param original Rectngulo original.<br>
    * @param porcentaje Porcentaje en % de reduccin.<br>
    *
    * @return El rectngulo reducido.<br>
    */
   public static Rectangle2D reducir( 
      Rectangle2D original,
      double porcentaje )
   {
      return agrandar( 
         original,
         -porcentaje );
   }
}
